document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_4500 | ---
+++
@@ -22,4 +22,4 @@
# Create the Puppet group so it can run
groupadd puppet
-cp `gem contents puppet | grep puppetagent.service` /usr/lib/systemd/system
+cp `gem contents puppet | grep puppet.service` /usr/lib/systemd/system | bash |
d_bash_4501 | ---
+++
@@ -2,4 +2,29 @@
set -e
+function wait-for-server-connection() {
+
+ local server_port="$1"
+ local max_seconds_to_wait="$2"
+ i=0
+ while ! nc -z 127.0.0.1 $server_port; do
+ sleep 1
+ echo -n "."
+ ((i++)) || true
+ if [ $i -gt $max_seconds_to_wait ]; then
+ ... | bash |
d_bash_4502 | ---
+++
@@ -3,4 +3,6 @@
alias cfn-nag-scan='cfn_nag_scan'
alias isengard='isengardcli'
-eval "$(isengardcli shell-autocomplete)"
+if [[ $(hostname) == "147dda49eefc.ant.amazon.com" ]]; then
+ eval "$(isengardcli shell-autocomplete)"
+fi | bash |
d_bash_4503 | ---
+++
@@ -1,6 +1,6 @@
#! /bin/bash
-pg_dump pytask -U pytask -W > ~/dumps/dbdump`date +%Y%m%d`.dump
-./bin/django dumpscript > ~/dumps/dbdumpscript`date +%Y%m%d`.dump
-./bin/django dumpdata > ~/dumps/dbdumpdata`date +%Y%m%d`.dump
+pg_dump pytask -U pytask -W > ~/pytaskdbdumps/dbdump`date +%Y%m%d`.dump
+./bin/dja... | bash |
d_bash_4504 | ---
+++
@@ -15,6 +15,7 @@
if [ ${SSH_ALLOW_PASSWORDS} ]; then
log "enabling password authentication in SSH"
- sed -ri'' '/^PasswordAuthentication/s/[a-zA-Z]+$/yes/' \
- /etc/ssh/sshd_config
+ sed '/^PasswordAuthentication/s/[nN][yY]$/yes/' \
+ /etc/ssh/sshd_config > /tmp/sshd_config.tmp && \
+ mv /tm... | bash |
d_bash_4505 | ---
+++
@@ -22,10 +22,10 @@
wget https://libvirt.org/sources/libvirt-3.2.0.tar.xz
tar -xf libvirt-3.2.0.tar.xz
cd libvirt-3.2.0
-./configure --disable-shared --enable-static --prefix=/usr --without-storage-mpath
+./configure --disable-shared --enable-static --without-storage-mpath
make -j2
make install
-sed -i '... | bash |
d_bash_4506 | ---
+++
@@ -10,8 +10,7 @@
# About `Python`, JDK, and `Haskell platform`: I choose to install them by the official installers.
brew install git tmux chicken clisp rlwrap smlnj ocaml opam cask leiningen pkg-config bash-completion gcc freetype vim wget
+brew cask install pharo
echo "source ~/.bash_profile_ext" >>... | bash |
d_bash_4507 | ---
+++
@@ -13,7 +13,6 @@
-fasta 3DCY.fasta \
-mtz 3dcy-sf.mtz \
-homologs True \
--gesamt_exe /opt/ccp4-devtools/install/bin/gesamt \
-models . \
-nproc 8 \
| bash |
d_bash_4508 | ---
+++
@@ -6,7 +6,7 @@
set -ex
cat <<EOF > Dockerfile.test
-FROM ocaml/opam:${DISTRO}_ocaml-${OCAML_VERSION}
+FROM ocaml/opam2:${DISTRO}
COPY . /xs-opam
ENV BASE_REMOTE=${BASE_REMOTE}
ENV EXTRA_REMOTES=${EXTRA_REMOTES} | bash |
d_bash_4509 | ---
+++
@@ -12,8 +12,9 @@
exit 0
fi
+git checkout -b _auto-gen
git commit -m '[Auto] updated json files [ci skip]' out/*.json || echo "no changes"
-git push "https://${GH_TOKEN}@github.com/fossasia/open-event-scraper" master
+git push "https://${GH_TOKEN}@github.com/fossasia/open-event-scraper" _auto-gen:maste... | bash |
d_bash_4510 | ---
+++
@@ -3,5 +3,7 @@
#Terminate on error
set -e
-sudo apt-get install libassimp-dev doxygen graphviz freeglut3-dev libeigen3-dev libinsighttoolkit4-dev libmagick++-dev libboost-all-dev -y
+sudo apt-get install libassimp-dev doxygen graphviz freeglut3-dev libeigen3-dev libboost-all-dev libmagick++-dev libfftw3... | bash |
d_bash_4511 | ---
+++
@@ -7,4 +7,10 @@
fi
npm i -g npm-check-updates
+
+# Remove all ^ or ~ in the package.json file before update to be sure to keep the latest version
+sed -i 's/"^/"/g' package.json
+sed -i 's/"~/"/g' package.json
+
+# Update package in the latest version
npm-check-updates -u | bash |
d_bash_4512 | ---
+++
@@ -8,11 +8,12 @@
echo " $(date +%H) - $(date -u +%H) "|bc
#new years first because of otheruwise I can't use day number accuratly
elif [ $(date +%Y) -gt $(date -u +%Y ) ]; then
- echo " [[$( date +%H )+24 ]] - $(date -u +%H)"|bc
-elif [ $(date +%Y) -lt $(date -u +%Y) ] ;then
- echo " $(date +%H ) ... | bash |
d_bash_4513 | ---
+++
@@ -4,7 +4,7 @@
out=$(mktemp)
trap "rm -f $out" EXIT
# Only lets programs run for 30 seconds
-timeout 30 java -jar "$1" - > $out
+timeout 60 java -jar "$1" - > $out
printf '\377' # 255 in octal
cat $out
| bash |
d_bash_4514 | ---
+++
@@ -9,8 +9,8 @@
bosh download manifest $RELEASE_NAME $BITS_SERVICE_MANIFEST
bosh2 int ../deployment-vars/environments/${ENVIRONMENT_NAME}/deployment-vars-${DEPLOYMENT_NAME}.yml \
- --path /default_ca/certificate > /tmp/ca-cert
-export BITS_SERVICE_CA_CERT=/tmp/ca-cert
+ --path /default_ca/certificat... | bash |
d_bash_4515 | ---
+++
@@ -1,4 +1,5 @@
ssh leviathan.local -t "./bin/shutdown-vms.sh && sudo shutdown -r +2"
ssh scuttlepi.local -t "sudo shutdown -r +2"
+ssh hassio-pi.local -t "sudo shutdown -r +2"
ssh routepi.local -t "sudo reboot" | bash |
d_bash_4516 | ---
+++
@@ -24,7 +24,7 @@
for lib in $(cat libs.txt); do
echo "Checking $lib..."
- ./implib-gen.py --vtables $lib
+ ./implib-gen.py -q --vtables $lib
name=$(basename $lib)
gcc -Wall -Wextra -Werror -c $name*.[cS]
rm $name* | bash |
d_bash_4517 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash
VERSIONEYE_SERVER=https://www.versioneye.com
API_KEY=<YOUR_SECRET_API_KEY> # Get it from here: https://www.versioneye.com/settings/api
@@ -12,19 +12,22 @@
dep_number=$(echo $json | jq '.dep_number')
out_number=$(echo $json | jq '.out_number')
violations=$(echo... | bash |
d_bash_4518 | ---
+++
@@ -15,7 +15,8 @@
# which are the ones marked with data-level="1.1". This causes the GitBook
# scripts to redirect to the index page rather fetching and replacing just
# the content area, as they do for proper GitBook-generated pages.
-sed -i"" 's,<li class="chapter " data-level="1.1" data-path="[^"]*">,<l... | bash |
d_bash_4519 | ---
+++
@@ -3,11 +3,18 @@
# This script needs the httpie library. Get it with:
# pip install httpie
-http GET localhost:3000/connector
-http -a lucho:verYseCure GET localhost:3000/connector
-http -a lucho:verYseCure GET localhost:3000/connector/version
+http --verbose --pretty=format GET localhost:3000/connecto... | bash |
d_bash_4520 | ---
+++
@@ -1,25 +1,50 @@
#!/bin/sh
-# Don't run if deluge has been running for less than one hour
-# or the script might delete torrents that are still rehashing
+LOCKFILE=/tmp/delugemanager_lock.txt
+if [ -e ${LOCKFILE} ] && kill -0 `cat ${LOCKFILE}`; then
+ echo "already running"
+
+ # Get lock file age i... | bash |
d_bash_4521 | ---
+++
@@ -6,6 +6,7 @@
# Remove headers for mpi2prv dump
grep -v ^mpi2prv OUTPUT > OUTPUT-1
grep -v ^merger OUTPUT-1 > OUTPUT-2
+grep -v ^COUNTERS OUTPUT-2 > OUTPUT-3
# Actual comparison
-diff reference OUTPUT-2
+diff reference OUTPUT-3 | bash |
d_bash_4522 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh -e
BOOKSHELF_URL="https://magpi.raspberrypi.org/bookshelf.xml"
-GUIDE_URL="$(curl -s "$BOOKSHELF_URL" | awk -F '[<>]' "/<TITLE>Raspberry Pi Beginner's Guide v3<\/TITLE>/ {f=1; next} f==1 && /PDF/ {print \$3; exit}")"
+GUIDE_URL="$(curl -s "$BOOKSHELF_URL" | awk -F '[<>]' "/<TITLE... | bash |
d_bash_4523 | ---
+++
@@ -1,7 +1,12 @@
# Sublime Text 2 Aliases
-#unamestr = 'uname'
-local _sublime_darwin_subl=/Applications/Sublime\ Text\ 2.app/Contents/SharedSupport/bin/subl
+local _sublime_darwin_paths
+_sublime_darwin_paths=(
+ "$HOME/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl"
+ "$HOME/Applications/S... | bash |
d_bash_4524 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
set -e
| bash |
d_bash_4525 | ---
+++
@@ -21,6 +21,11 @@
mkdir $HOME/build
touch $HOME/build/test_failed
ctest -VV -S $HOME/girder/cmake/circle_continuous.cmake
+
+# Convert CTest output to Junit and ensure CircleCI will include it in its summary
+pip install scikit-ci-addons==0.15.0
+mkdir ${CIRCLE_TEST_REPORTS}/CTest
+ci_addons ctest_junit_f... | bash |
d_bash_4526 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="20.10.11"
+version="20.10.12"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_4527 | ---
+++
@@ -13,19 +13,16 @@
run_doctests() {
DIR=$1
- cd $DIR
- FILES=*.py
+ FILES=$DIR/*.py
for f in $FILES; do
python -m doctest $f
- assert_ran_ok "Python doctests - $DIR/$f"
+ assert_ran_ok "Python doctests - $f"
done
- cd - > /dev/null
}
cd ..
run_doctest... | bash |
d_bash_4528 | ---
+++
@@ -21,8 +21,10 @@
version=`grep '^VERSION' namebench-$$/libnamebench/version.py | cut -d\' -f2`
mv namebench-$$ namebench-$version
cd namebench-$version
+svn log > ChangeLog.txt &
./namebench.py -q5 -j50 -x -o /tmp/$$.csv -O 8.8.8.8
-svn log > ChangeLog.txt
+echo "Waiting for changelog"
+wait
find . -na... | bash |
d_bash_4529 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
set -euo pipefail
-DISK_MIN_AVAILABLE=${DISK_MIN_AVAILABLE:-1048576} # 1GB
+DISK_MIN_AVAILABLE=${DISK_MIN_AVAILABLE:-5242880} # 5GB
DISK_MIN_INODES=${DISK_MIN_INODES:-250000} # docker needs lots
DOCKER_DIR="/var/lib/docker/" | bash |
d_bash_4530 | ---
+++
@@ -2,6 +2,9 @@
set -eo pipefail
+# Travis CI switches back to an old Ruby version for deployments. See:
+# https://docs.travis-ci.com/user/deployment/script/#Deployment-is-executed-by-Ruby-1.9.3
+rvm use default
echo "cocoapods gem version: $(pod --version)"
artifact_version=$(grep "version.*=" kushki... | bash |
d_bash_4531 | ---
+++
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/bash
sleep 10
if curl http://localhost:3000 | grep -q '<app-root></app-root>'; then | bash |
d_bash_4532 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
have_optdump=('build' 'chroot' 'depends' 'fetch' 'pkglist' 'repo' 'repo-filter'
- 'query' 'search' 'srcver' 'sync' 'vercmp')
+ 'query' 'search' 'srcver' 'sync' 'vercmp' 'view')
no_optdump=('graph')
default_opts() { | bash |
d_bash_4533 | ---
+++
@@ -15,19 +15,11 @@
}
setAppServerProps(){
- FileIOUtil replace ${appServerProps} ${2}=.* ${2}=${3}
+ _setProps ${appServerProps} ${2} ${3}
}
setBuildProps(){
- FileIOUtil replace ${buildProps} ${2}=.* ${2}=${3}
- }
-
- writeAppServerProps(){
- FileIOUtil append ${appServerProps} ${2}
- }
-
- ... | bash |
d_bash_4534 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/sh
# Workaround for https://github.com/GoogleChrome/puppeteer/issues/290
-apt-get update
-apt-get install -yq gconf-service libasound2 libatk1.0-0 libc6 libcairo2 libcups2 libdbus-1-3 \
+sudo apt-get update
+sudo apt-get install -yq gconf-service libasound2 libatk1.0-0 libc6 libcair... | bash |
d_bash_4535 | ---
+++
@@ -10,9 +10,18 @@
fi
aclocal${ver}
autoheader
-libtoolize --automake --copy
+libtoolize --force --automake --copy
automake${ver} --verbose --add-missing --copy
autoconf
-./configure --enable-maintainer-mode
+confflags="--enable-maintainer-mode"
+if test x$NOCONFIGURE = x; then
+ echo Running $srcdir/c... | bash |
d_bash_4536 | ---
+++
@@ -5,12 +5,21 @@
IPADDRESS=`ip -4 addr show scope global dev eth0 | grep inet | awk '{print \$2}' | cut -d / -f 1`
-if [ -n "$ZK_CONNECT" ]
+if [ -n "$ZK_CONNECT" && -n "$BROKER_ID" ]
then
- echo 'delete.topic.enable = true' >> $KAFKA_HOME/config/server.properties
+ echo 'delete.topic.enable=true' >>... | bash |
d_bash_4537 | ---
+++
@@ -5,12 +5,12 @@
wget https://raw.githubusercontent.com/GeneaLabs/laravel-dev-environment/master/Zend-Z-Ray/Homestead/zray.conf -O /etc/nginx/conf.d/zray.conf
# Create symlinks to load Z-Ray configurations in php-fpm and php-cli:
-ln -sf /opt/zray/zray.ini /etc/php5/cli/conf.d/zray.ini
-ln -sf /opt/zray... | bash |
d_bash_4538 | ---
+++
@@ -6,7 +6,7 @@
echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 \
&& echo "Running autoheader..."; autoheader \
&& echo "Running autoconf..."; autoconf \
-&& echo "Running libtoolize..."; libtoolize --automake \
+&& echo "Running libtoolize..."; (libtoolize --automake || glibtoolize --automake) \
... | bash |
d_bash_4539 | ---
+++
@@ -3,14 +3,14 @@
set -e
-if [[ ${TRAVIS_REPO_SLUG} != 'vimeo/psalm' && -z ${PHAR_REPO_SLUG} ]]; then
+if [[ ${GITHUB_REPOSITORY} != 'vimeo/psalm' && -z ${PHAR_REPO_SLUG} ]]; then
echo 'Not attempting phar deployment, as this is not vimeo/psalm, and $PHAR_REPO_SLUG is unset or empty'
exit 0... | bash |
d_bash_4540 | ---
+++
@@ -4,7 +4,6 @@
MONGO_URI="mongodb://${MONGO_HOST}:${MONGO_PORT}/?readPreference=secondary"
service rsyslog start
-mkfifo mdb-bi-connector.log
echo "starting connector application"
#Concatenate the cert and key together
cat ${SSL_CERT_FILE} >> /combined.pem | bash |
d_bash_4541 | ---
+++
@@ -1,3 +1,9 @@
-# Get the Go zsh completions
-source "$GOROOT/share/zsh/site-functions/go"
+# Completions for language tools
+paths=($GOROOT/share/zsh/site-functions/go)
+for path in ${paths}
+do
+ if [[ -d $path ]];then
+ source $path
+ fi
+done
| bash |
d_bash_4542 | ---
+++
@@ -1,9 +1,5 @@
-sudo apt-key adv --keyserver pgp.mit.edu --recv D101F7899D41F3C3
-echo "deb http://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
-sudo apt-get update -qq
-sudo apt-get install -y -qq yarn
-sleep 3
npm i -g npm@^3
+npm install -g yargs
npm install -g webpac... | bash |
d_bash_4543 | ---
+++
@@ -6,10 +6,8 @@
echo "test => $0"
NAME=$(grep -E -e '^#define[[:space:]]+NAME' common.h |cut -f3 |tr -d '"')
-VERSION=$(grep -E -e '^#define[[:space:]]+VERSION' common.h |cut -f3 |tr -d '"')
-SVN_VERSION=$(svn info |awk '/^Revision:/ {print $2}')
-if printf "version\n" |./kc -b -k regress/test -p regre... | bash |
d_bash_4544 | ---
+++
@@ -5,7 +5,13 @@
GHCFLAGS='--make -Wall -fno-warn-unused-matches -cpp'
ISPOSIX=-DHAVE_UNIX_PACKAGE
-rm moduleTest
+rm -f moduleTest
mkdir -p dist/debug
-$HC $GHCFLAGS $ISPOSIX -DDEBUG -odir dist/debug -hidir dist/debug -idist/debug/:.:tests/HUnit-1.0/src tests/ModuleTest.hs -o moduleTest
+$HC $GHCFLAGS ... | bash |
d_bash_4545 | ---
+++
@@ -21,3 +21,6 @@
# hostapd conf file
# TODO: Config stuff (ssid, pass, wpa type)
cp "`dirname $0`/config/hostapd.conf" /etc/hostapd/hostapd.conf
+
+# Edit dhcpcd so wlan0 gets managed by /etc/network/interfaces
+echo "denyinterfaces wlan0" >> /etc/dhcpcd.conf | bash |
d_bash_4546 | ---
+++
@@ -1,7 +1,9 @@
if [[ $WEBDRIVER == "chrome_driver" ]]
then
cd ~/src
- sudo apt-get -y -q install unzip chromium-browser
+ echo 'deb http://dl.google.com/linux/chrome/deb/ stable main' > /etc/apt/sources.list.d/google-chrome.list
+ apt-get update
+ apt-get install google-chrome-stable
... | bash |
d_bash_4547 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash
-: ${DB_USER:=db_user}
+: ${DB_USER:=postgres}
: ${DB_PASSWORD:=db_pass}
-: ${DB_NAME:=db_name}
+: ${DB_NAME:=grafterizer}
: ${DB_ENCODING:=UTF-8}
: ${DB_PG_DUMP_FILE:=/tmp/init-database.sql}
@@ -12,5 +12,5 @@
} && { gosu postgres postgres --single -jE <<-EOSQL
CREATE... | bash |
d_bash_4548 | ---
+++
@@ -5,7 +5,7 @@
fi
function disas_impl() {
- objdump -drwCS -Mintel $1 || gobjdump -drwCS -Mintel $1;
+ objdump -dlrwCS -Mintel $1 || gobjdump -dlrwCS -Mintel $1;
}
func horizontal_divider() { | bash |
d_bash_4549 | ---
+++
@@ -19,7 +19,11 @@
dirname=""
for src in "$@"; do
- src_dirname="$(echo "${src}" | grep -o -P "(.*/)?${PACKAGE_NAME}" | head -n1)"
+ if [[ ! "${src}" =~ ^((.*/)?"${PACKAGE_NAME}")/ ]]; then
+ echo "Sources must be in ${PACKAGE_NAME}: $@"
+ exit 1
+ fi
+ src_dirname="${BASH_REMATCH[1]}"
if [[ ... | bash |
d_bash_4550 | ---
+++
@@ -18,9 +18,13 @@
advanced-open-file \
atom-alignment \
highlight-selected \
+ language-applescript \
+ language-tmux \
+ language-viml \
line-ending-converter \
linter \
... | bash |
d_bash_4551 | ---
+++
@@ -11,7 +11,6 @@
mkdir -p ~/.nvm
fi
source ~/dotfiles/terminal/bash/load_nvm.sh
-nvm install 6.15.1
nvm install 8.9.4
nvm install 10.16.3
nvm install 12.16.3 | bash |
d_bash_4552 | ---
+++
@@ -10,5 +10,5 @@
execute "sudo spctl --master-disable" \
"Enable 'Anywhere' option for Gatekeeper"
-execute "defaults write /Library/Preferences/com.apple.security GKAutoRearm -bool false" \
+execute "sudo defaults write /Library/Preferences/com.apple.security GKAutoRearm -bool false" \
"Prevent... | bash |
d_bash_4553 | ---
+++
@@ -15,6 +15,7 @@
# ==============================================================================
PROTOBUF_VERSION="3.1.0"
+PYTHON=${PYTHON_BIN_PATH:-python}
DIR=${PWD}/protobuf
set -ex
@@ -29,4 +30,4 @@
make -j8
export PROTOC=$DIR/src/protoc
cd python
-python setup.py bdist_wheel --cpp_implementa... | bash |
d_bash_4554 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
pkill -f jresume-1.0-SNAPSHOT-jar-with-dependencies.jar
cd target
-java -jar jresume-1.0-SNAPSHOT-jar-with-dependencies.jar -i bleh --server-mode
+nohup java -jar jresume-1.0-SNAPSHOT-jar-with-dependencies.jar -i bleh --server-mode & | bash |
d_bash_4555 | ---
+++
@@ -12,6 +12,8 @@
apt-get update -yqq
apt-get install \
git \
+ libxslt1-dev \
+ libxslt1.1 \
unzip \
-yqq
| bash |
d_bash_4556 | ---
+++
@@ -31,5 +31,5 @@
display_result $? 1 "Code style check"
# run with four concurrent threads
-py.test --cov=app --cov-report=term-missing tests/ --junitxml=test_results.xml -n4 -v -x
+py.test --cov=app --cov-report=term-missing tests/ --junitxml=test_results.xml -n4 -v --maxfail=10
display_result $? 2 "Un... | bash |
d_bash_4557 | ---
+++
@@ -36,7 +36,9 @@
if [ "${OK}" == "ok" ]; then
# I realize that this is redundant, but ...
source ${BACKEND}/env/${SERVERTYPE}.sh
- source /etc/materialscommons/config.${SERVERTYPE}
+ if [ -f /etc/materialscommons/config.global ]; then
+ . /etc/materialscommons/config.${SERVERTYPE}
+ fi... | bash |
d_bash_4558 | ---
+++
@@ -15,3 +15,7 @@
tar zxvf ghostscript-9.53.3-linux-x86_64.tgz
cp ghostscript-9.53.3-linux-x86_64/gs-9533-linux-x86_64 /usr/bin/gs
chmod 755 /usr/bin/gs
+
+filename=/__w/Magick.NET/Magick.NET/tests/Magick.NET.Tests/Images/Coders/sample.pdf
+echo gs -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT --permit-file-read="$... | bash |
d_bash_4559 | ---
+++
@@ -7,10 +7,8 @@
echo "$LOCALDISK /srv xfs nofail,noatime 1 1" >> /etc/fstab
mount /srv
-# TODO use systemctl instead of pg_ctlcluster on CentOS
-pg_ctlcluster 9.5 main stop
+service postgresql stop
mv /var/lib/postgresql /srv
ln -s /srv/postgresql/ /var/lib
-# TODO use systemctl instead of pg_c... | bash |
d_bash_4560 | ---
+++
@@ -6,5 +6,5 @@
#SBATCH --mail-type=FAIL
source ~/env-cwl/bin/activate
-export PATH="/data/reddylab/software/FastQC:/home/dcl9/bin:/usr/local/bin:/data/reddylab/software/STAR_2.4.2a/STAR-STAR_2.4.2a/bin/Linux_x86_64_static:$PATH"
+export PATH="/data/reddylab/software/FastQC:/home/dcl9/bin:/data/reddylab/s... | bash |
d_bash_4561 | ---
+++
@@ -12,6 +12,8 @@
echo " prefetch test images"
for HOST in $HOSTS; do
docker_on $HOST load -i ../weave.tar
+ DANGLING_IMAGES="$(docker_on $HOST images -q -f dangling=true)"
+ [ -n "$DANGLING_IMAGES" ] && docker_on $HOST rmi $DANGLING_IMAGES
run_on $HOST mkdir -p bin
upload_executable $... | bash |
d_bash_4562 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
-vertx run app.coffee -cp "lib/ehcache-core-2.6.0.jar:lib/slf4j-api-1.7.0.jar:lib/slf4j-simple-1.7.0.jar:lib/handlebars-0.5.3.jar:lib/commons-lang3-3.1.jar:lib/parboiled-java-1.0.2.jar:lib/parboiled-core-1.0.2.jar:lib/asm-3.3.1.jar"
+vertx run app.coffee -cp "lib/ehcache-core-2.6.... | bash |
d_bash_4563 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
-docker run -d -p 27017:27017 --name mongo-server-spark-mongo-app davidokun/db-server-spark-mongo-app
+docker run -v /mnt/docker_share:/mnt/docker_share -d -p 27017:27017 -p 22:22 --name mongo-server-spark-mongo-app davidokun/db-server-spark-mongo-app
| bash |
d_bash_4564 | ---
+++
@@ -13,4 +13,11 @@
resume export resume.html --theme stackoverflow
+if [ $? == 0 ]; then
+ mv resume.html index.html
+ echo "resume.html -> index.html"
+else
+ echo "Error: Web page rendering failure" >&2
+fi
+
exit $? | bash |
d_bash_4565 | ---
+++
@@ -1,2 +1,7 @@
#!/bin/bash
+isExistApp=`ps -eaf |grep cp-events-service |grep -v grep| awk '{ print $2; }'`
+if [[ -n $isExistApp ]]; then
+ service cp-events-service stop
+fi
+
service cp-events-service start | bash |
d_bash_4566 | ---
+++
@@ -8,6 +8,7 @@
mv doc/** $tmpdir
rmdir doc
git checkout gh-pages
+git rm -rf .
mv $tmpdir/** .
git add -Av .
git commit -m "Updated docs" | bash |
d_bash_4567 | ---
+++
@@ -1,6 +1,7 @@
-export EDITOR='vim'
-export VISUAL='vim'
-export PAGER='less'
+dcheck nvim && EDITOR=nvim || EDITOR=vim
+export EDITOR
+export VISUAL="$EDITOR"
+export PAGER=less
# Set the default Less options.
# Mouse-wheel scrolling has been disabled by -X (disable screen clearing). | bash |
d_bash_4568 | ---
+++
@@ -1,4 +1,8 @@
if hash postgres 2>/dev/null; then
export PGDATA=/usr/local/var/postgres
export POSTGRES_LOG=$PGDATA/postgres.log
+
+ alias pg-start="pg_ctl start --log $POSTGRES_LOG"
+ alias pg-status="pg_ctl status"
+ alias pg-stop="pg_ctl stop"
fi | bash |
d_bash_4569 | ---
+++
@@ -2,6 +2,6 @@
# 'Telegram Icon Updater' Setup Script
TELEDIR=~/.local/share/TelegramDesktop/tdata/ticons
-[[ $1 == "--install" ]] && { [[ -d $TELEDIR ]] && { rm -rf $TELEDIR; }; mkdir -p $TELEDIR; cp -f ./icons/*.png $TELEDIR; cp -f ./icons/icomute_22_0.png ./icons/ico_22_0.png; for((i = 2; i < 999; i++... | bash |
d_bash_4570 | ---
+++
@@ -1,4 +1,4 @@
-export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-24}
+export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-25}
if test -v HADOOP_BASE_IMAGE; then
test -v TESTS_HIVE_VERSION_MAJOR | bash |
d_bash_4571 | ---
+++
@@ -15,8 +15,9 @@
echo "Copied CSR for $1 to clipboard"
}
+# self signed cert
ssc () {
- openssl req -x509 -days 90 -in $1.csr -signkey $1.key -out $1.crt
+ openssl req -x509 -days 90 -in $1.csr -key $1.key -out $1.crt
}
_create_private_key () { | bash |
d_bash_4572 | ---
+++
@@ -5,6 +5,7 @@
mix local.hex --force
mix deps.get
mix test
+mix escript.build
# run samples tests
cd samples/issues | bash |
d_bash_4573 | ---
+++
@@ -14,16 +14,3 @@
rmenv() {
rm -r "$WORKON_HOME"/"$(basename "$PWD")"
}
-
-# Recreate Python virtualenv associated with this directory
-rmkenv() {
- if [ -f "$VIRTUAL_ENV/bin/python3" ]; then
- local binary=python3
- elif [ -f "$VIRTUAL_ENV/bin/python2" ]; then
- local binary=python2
- fi
- if [ ! -z "... | bash |
d_bash_4574 | ---
+++
@@ -1,4 +1,18 @@
#!/bin/bash
+# Copyright 2019 Google Inc. All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE... | bash |
d_bash_4575 | ---
+++
@@ -8,6 +8,6 @@
# You will then be able to use a java debugger on port 8000.
#JAVA_OPTS="${JAVA_OPTS} -agentlib:jdwp=transport=dt_socket,server=y,address=localhost:8000,suspend=n"
-# enable JMX
+# Enable JMX. Read the documentation before uncommenting the next line!
#JAVA_OPTS="${JAVA_OPTS} -Dcom.sun.man... | bash |
d_bash_4576 | ---
+++
@@ -24,5 +24,5 @@
mkdir -p $INSTALL_DIR && mv saw/* $INSTALL_DIR
clang --version
-$INSTALL_DIR/saw --version
+$INSTALL_DIR/bin/saw --version
| bash |
d_bash_4577 | ---
+++
@@ -1,12 +1,12 @@
-#!/bin/bash
+#!/bin/zsh
tmppipe=$(mktemp -u "/tmp/search.pipe.XXXXXX")
if mkfifo -m 600 "$tmppipe"; then
trap 'rm -rf "$tmppipe"' EXIT INT TERM HUP
- coproc reader { cat $tmppipe; }
+ coproc { cat $tmppipe; }
./search_searcher $@ $tmppipe
- read resp <&"${reader[0]}"
+ read ... | bash |
d_bash_4578 | ---
+++
@@ -4,8 +4,10 @@
# part 1
cd $TMPDIR_PATH
-curl -s 'https://cloud.github.com/downloads/taoliu/MACS/MACS-2.0.9-1.tar.gz' | tar -xz
-cd MACS-2.0.9/
+#curl -s 'https://cloud.github.com/downloads/taoliu/MACS/MACS-2.0.9-1.tar.gz' | tar -xz
+curl -s 'https://pypi.python.org/packages/source/M/MACS2/MACS2-2.1.0.2... | bash |
d_bash_4579 | ---
+++
@@ -3,6 +3,8 @@
CURRENT_PATH=$(dirname $(readlink -e $0))
HOME_DIR=${HOME}
+pip install slugify
+
ln -s ${CURRENT_PATH}/bashrc ~/.bashrc
ln -s ${CURRENT_PATH}/bash_aliases ~/.bash_aliases
ln -s ${CURRENT_PATH}/dircolors ~/.dircolors | bash |
d_bash_4580 | ---
+++
@@ -5,7 +5,6 @@
echo "**********************************************************"
echo "----------------------------------------------------------"
echo "(FIXME 1 : This is NOT a real Autoconf/Automake configure )"
-echo "(FIXME 2 : All scripts need a tcsh or csh shell )"
echo "---------------------------... | bash |
d_bash_4581 | ---
+++
@@ -13,6 +13,6 @@
exit 1
fi
-wget http://github.com/mikemcquaid/Scripts/tarball/master -O scripts.tar.gz
+wget --no-check-certificate https://github.com/mikemcquaid/Scripts/tarball/master -O scripts.tar.gz
tar --strip-components=1 -z -x -v -f scripts.tar.gz
rm scripts.tar.gz | bash |
d_bash_4582 | ---
+++
@@ -1,12 +1,14 @@
#!/bin/bash
-pushd lib
+mkdir tmp
+pushd tmp
wget http://www.sno.phy.queensu.ca/~phil/exiftool/Image-ExifTool-10.02.tar.gz
gzip -dc Image-ExifTool-10.02.tar.gz | tar -xf -
pushd Image-ExifTool-10.02
perl Makefile.PL
make test
-make install
+make PREFIX=. install
cp exiftool ../exiftoo... | bash |
d_bash_4583 | ---
+++
@@ -4,7 +4,7 @@
readonly proto_dir="$(mktemp -d protobuf.XXXXXX)"
# Download an unreleased SHA to include TLS 1.2 support:
# https://github.com/google/protobuf/pull/4879
-wget -O - https://github.com/google/protobuf/archive/61476b8e.tar.gz | tar xz -C "$proto_dir"
+wget -O - https://github.com/google/proto... | bash |
d_bash_4584 | ---
+++
@@ -26,4 +26,5 @@
make install.tools
make verify
+GOOS=macos make verify
GOOS=windows make verify | bash |
d_bash_4585 | ---
+++
@@ -9,7 +9,7 @@
if _ant_does_target_list_need_generating; then
ant -p | awk -F " " 'NR > 5 { print lastTarget }{lastTarget = $1}' > .ant_targets
fi
- compadd `cat .ant_targets`
+ compadd -- `cat .ant_targets`
fi
}
| bash |
d_bash_4586 | ---
+++
@@ -16,4 +16,7 @@
# To start at boot
# sudo systemctl enable docker
+# Add group docker to current user
+sudo usermod -a -G docker $USER
+
sudo reboot | bash |
d_bash_4587 | ---
+++
@@ -8,5 +8,5 @@
alias pmm2='python manage.py migrate'
alias pm2='python manage.py'
-alias pf='pip freeze'
-alias pfg='pip freeze | grep -i'
+alias pf='sudo pip freeze'
+alias pfg='sudo pip freeze | grep -i' | bash |
d_bash_4588 | ---
+++
@@ -16,6 +16,7 @@
"src/plugins/base64/"*.c \
"src/plugins/camel/camel.c" \
"src/plugins/ccode/"*.cpp \
+ "src/plugins/cpptemplate/"*.cpp \
"src/plugins/directoryvalue/"*.c \
"src/plugins/mini/mini.c" \
"src/plugins/yamlcpp/"*.{c,cpp} \ | bash |
d_bash_4589 | ---
+++
@@ -1,5 +1,6 @@
export LIBRARY_PATH=`pwd`/lib:$LIBRARY_PATH
export LD_LIBRARY_PATH=`pwd`/lib:$LD_LIBRARY_PATH
+export DYLD_LIBRARY_PATH=`pwd`/lib:$DYLD_LIBRARY_PATH
export LD_INCLUDE_PATH=`pwd`/include:$LD_INCLUDE_PATH
export C_INCLUDE_PATH=`pwd`/include:$C_INCLUDE_PATH
export CPLUS_INCLUDE_PATH=`pwd`/in... | bash |
d_bash_4590 | ---
+++
@@ -21,7 +21,7 @@
if [ ! "${JENKINS_HOME}" = '' ]
then
# Change "in-container" mount path to host mount path
- sed -i -e "s|- \./|- ${HOST_DATADIR}jobs/${JOB_NAME}/workspace/docker/|" "${INTEGRATION}"
+ sed -i -e "s|- \./|- ${HOST_DATADIR}jobs/${JOB_NAME}/workspace/docker/... | bash |
d_bash_4591 | ---
+++
@@ -2,8 +2,8 @@
echo "$(tput bold)$(tput setaf 4)GIT STATUS$(tput sgr0)"
git -c color.status=always status -sb|sed 's/^/ /'
echo "$(tput bold)$(tput setaf 4)OUTGOING$(tput sgr0)"
- git outgoing|sed 's/^/ /'
+ git -c color.status=always outgoing|sed 's/^/ /'
echo "$(tput bold)$(tpu... | bash |
d_bash_4592 | ---
+++
@@ -4,7 +4,7 @@
PROJECT=your-project
ZONE=us-central1-a
GCUTIL="gcutil --project=$PROJECT"
-IMAGE=fractal-demo-image
+IMAGE=projects/centos-cloud/global/images/centos-6-v20130515
# Create an array of PD images from an image.
set +o xtrace | bash |
d_bash_4593 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash
set -e
cd ../
+cat data/ooniprobe.conf.sample | sed s/'start_tor: true'/'start_tor: false'/ | sed s/'#socks_port: 8801'/'socks_port: 9050'/ > data/ooniprobe.conf.sample.new
+mv data/ooniprobe.conf.sample data/ooniprobe.conf.sample.bak
+mv data/ooniprobe.conf.sample.new data/oon... | bash |
d_bash_4594 | ---
+++
@@ -1,18 +1,18 @@
#!/bin/sh
repo_dir="`dirname $0`/.."
+cd "$repo_dir"
-original="$repo_dir/original/spamsum"
-spamspy="$repo_dir/spamsum/spamsum.py"
+original=original/spamsum
+spamspy=spamsum/spamsum.py
target_files="original/spamsum.c LICENSE README.md tests/data/*"
-(cd "$repo_dir/original"; ... | bash |
d_bash_4595 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
umask 022
cd /opt/jackett || exit
-exec mono --debug JackettConsole.exe --NoRestart -DataFolder=/var/jackett
+export XDG_CONFIG_HOME=/var/jackett
+exec mono --debug JackettConsole.exe --NoRestart
sleep 2 | bash |
d_bash_4596 | ---
+++
@@ -1,4 +1,5 @@
gulp --env=production
+git add .
git commit -am 'make dist/'
npm version patch
sh super-release.sh | bash |
d_bash_4597 | ---
+++
@@ -1,9 +1,4 @@
#!/bin/bash
-
-# Fail on any error.
-set -e
-# Display commands being run.
-set -x
cd git/SwiftShader
@@ -12,9 +7,14 @@
if [ $? -ne 0 ]
then
- echo "Commit message must have a Bug: line."
- exit 0
+ echo "error: Git commit message must have a Bug: line."
+ exit 1
fi
+
+# Fail on... | bash |
d_bash_4598 | ---
+++
@@ -8,9 +8,7 @@
# Disable JMX until we need it
export JMXDISABLE=true
-# TODO: Zookeeper cluster support.
-# Taking ID from hostname makes no sense if we don't generate config properly
-#export ZOOKEEPER_ID=$(hostname | awk -F'-' '{print $2}')
+# Until we run Zookeeper clusters we can hardcode the ID
ex... | bash |
d_bash_4599 | ---
+++
@@ -2,6 +2,8 @@
REV=$1
. scripts/common/main.sh
. scripts/common/build.sh
+
+sudo apt-get install libsasl2-dev libssl-dev
prepare_build cpython-ucs2/$REV mercurial http://hg.python.org/cpython $REV
cd build/cpython-ucs2/$REV | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.